# suggestion_providers

[![Pub Package](https://img.shields.io/pub/v/suggestion_providers.svg)](https://pub.dartlang.org/packages/suggestion_providers)

Get search suggestions (typeahead) from search engines, like google, duckduckgo and more.

supported search engines:
- google
- duckduckgo
- ask
- brave
- ecosia
- searx (custom instances)
- wolfram alpha
- search encrypt

## Install

- Add to `pubspec.yaml`:

```yaml
suggestion_providers: v0.0.1
```

- get:

```
dart pub get
```

- import:

```dart
import 'package:suggestion_providers/suggestion_providers.dart';
```


## Usage

- Setup the client.

```dart
var suggestionProviders = Suggestions();
```

- get suggestions:

from google:

```dart
var suggestions = await suggestionProviders.google.suggestions("Hello");
```

from duckduckgo:

```dart
var suggestions = await suggestionProviders.duckduckgo.suggestions("Hello");
```

and so on...


and for searx instances:

```dart
var suggestions = await suggestionProviders.searx().suggestions("Hello");
```

all instances that i tested are listed in `SuggestionProviders.searxInstances`

if you want to use a custom instance of Searx:
but make sure to remove the last slash `/`

```dart
var suggestions = await suggestionProviders.searx(base: "https://www.webrats.xyz").suggestions("Hello");
```
