import 'dart:collection';
import 'dart:convert';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class Duckduckgo extends Provider {
  final Client _client;

  Duckduckgo(this._client) : super("Duckduckgo");

  @override
  Future<List<String>> suggestions(String q) async {
    var json =
        await _client.json<List>("https://duckduckgo.com/ac/?q=$q&kl=wt-wt");

    return json
        .cast<LinkedHashMap<String, dynamic>>()
        .map((e) => e.values.first.toString())
        .toList();
  }
}
