import 'dart:convert';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class Ecosia extends Provider {
  final Client _client;

  Ecosia(this._client) : super("Ecosia");

  @override
  Future<List<String>> suggestions(String q) async {
    var json = await _client
        .json<Map<String, dynamic>>("https://ac.ecosia.org/?q=$q&mkt=en-us");
    return (json["suggestions"] as List).cast<String>();
  }
}
