import 'dart:collection';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class StartPage extends Provider {
  final Client _client;

  StartPage(this._client) : super("StartPage");

  @override
  Future<List<String>> suggestions(String q) async {
    var json =
        await _client.json<Map>("https://startpage.com/suggestions?q=$q");

    return (json["suggestions"] as List)
        .cast<Map<String, dynamic>>()
        .map((e) => e.values.first.toString())
        .toList();
  }
}
