import 'dart:collection';

import 'package:http/http.dart';
import 'package:suggestion_providers/src/base/provider_base.dart';
import 'package:suggestion_providers/src/ext.dart';

class WolframAlpha extends Provider {
  final Client _client;

  WolframAlpha(this._client) : super("WolframAlpha");

  @override
  Future<List<String>> suggestions(String q) async {
    var json = await _client.json<LinkedHashMap<String, dynamic>>(
        "https://www.wolframalpha.com/n/v1/api/autocomplete/?i=$q");
    return (json["results"] as List)
        .cast<LinkedHashMap>()
        .map((e) => e["input"].toString())
        .toList();
  }
}
