import 'package:suggestion_providers/suggestion_providers.dart';
import 'package:test/test.dart';

void main() {
  group('A group of tests', () {
    final suggestions = Suggestions();

    test("All Search Engines", () async {
      for (var element in suggestions.all) {
        var provider = element.call();
        print(provider.name);
        print(await provider.suggestions("Hello"));
      }
    });

    test("All Searx Instances", () async {
      for (var element in Suggestions.searxInstances) {
        var provider = suggestions.searx(base: element);
        print(element);
        print(await provider.suggestions("Hello"));
      }
    });

    test('Google', () async {
      print(await suggestions.google.suggestions("Helo"));
    });

    test('Duckduckgo', () async {
      print(await suggestions.duckduckgo.suggestions("Helo"));
    });

    test('Ecosia', () async {
      print(await suggestions.ecosia.suggestions("Helo"));
    });

    test('Brave Search', () async {
      print(await suggestions.brave.suggestions("Helo"));
    });

    test('Start Page', () async {
      print((await suggestions.startPage.suggestions("Helo")));
    });

    test('Ask', () async {
      print((await suggestions.ask.suggestions("Helo")));
    });

    test('WolframAlpha', () async {
      print((await suggestions.wolframAlpha.suggestions("green")));
    });

    test('SearchEncrypt', () async {
      print((await suggestions.searchEncrypt.suggestions("green")));
    });

    test('Default Searx', () async {
      print((await suggestions.searx().suggestions("green")));
    });
  });
}
